post
https://api.caas.staging.bancocdc.com.br/operation/historic/
In this route, you can modify the status of the operation according to the current scenario it is in.
Attention points:
- The STATUS that the operation can be moved to are code 4, 5, 8, 11, 12 and 13 for external use. The others, such as 7, 9 and 35, are for internal use by CDC BANK.
- When the operation is ready to be analyzed by CDC BANK, it must be moved to STATUS 13. Once this is done, the operation will be blocked and will be analyzed by the internal desk.
- If the operation is rejected, it will return with STATUS 8 along with the reason for the rejection.
- CDC BANK internal STATUS sequence for credit release. Codes: 13, 35, 9 and 7.
Status Types
| Value | Description | Concept |
|---|---|---|
| 4 | Analysis | Analyzing the requested credit |
| 5 | Canceled | Requested credit canceled |
| 7 | Payment | Requested credit is paid |
| 8 | Pendant | Credit has outstanding items |
| 9 | Deferred | Credit is ready to be paid. |
| 11 | Awaiting signature | Awaiting signature of digital contract |
| 12 | Signed contract | Digital contract signature completed |
| 13 | Waiting for approval | Awaiting in-house assessment from CDC BANK. |
| 35 | Awaiting sale | Operation sales process |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-30 | Status unidentified or without permission to use. |
| 401 | 401-05 | Unauthorized or token invalid |
| 406 | 406-03 | field #replaceHere is mandatory and was not informed. |
| 429 | 429-01 | Too many requests |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Request identification code. |
| return | Boolean | Indicates if the request was successful. |
| return_code | String | Return code of the request. |
| message | String | Return message of the request. |